Unable use angular braces after include word

2008-05-13 12:52 - Sergej Jegorov

Status: Closed Start date: 2008-05-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 0.7.2   

Resolution: Fixed Affected version:  

Description

Unable use angular braces after #include directive in Wiki.

/*  comment */

#include <CUnit/CUnit.h>

...

 Generated HTML:

<span class="no"> 2</span> <span class="pp">#include</span> <span class="er">&</span><span class="

er">l</span><span class="er">t</span><span class="er">;</span><span class="er">C</span><span class

="er">U</span><span class="er">n</span><span class="er">i</span><span class="er">t</span><span cla

ss="er">/</span><span class="er">C</span><span class="er">U</span><span class="er">n</span><span c

lass="er">i</span><span class="er">t</span><span class="er">.</span><span class="er">h</span><span

 class="er">&</span><span class="er">g</span><span class="er">t</span><span class="er">;</span>

 But all ok if whrite like this:

/*  comment */

#include 

<CUnit/CUnit.h>

...

Associated revisions

Revision 1476 - 2008-05-29 21:12 - Jean-Philippe Lang

Fixed: Unable to use angular braces after include word in c code highlighting (#1230).

History

#1 - 2008-05-13 12:53 - Sergej Jegorov

related issue #1160

#2 - 2008-05-13 20:35 - Jean-Philippe Lang

- Target version deleted (0.7.1)

#3 - 2008-05-29 21:09 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7.2

- Resolution set to Fixed

Fixed in r1476.

#4 - 2008-05-30 14:08 - Sergej Jegorov

Yes!

2025-05-17 1/2

https://www.redmine.org/issues/1160
https://www.redmine.org/projects/redmine/repository/svn/revisions/1476


It works ;)
